← All operations
GET/api/v1/bounties

Jobs_ListBounties

Authentication
public
Cache policy
public
Success and errors
200, 400, 401, 403, 404, 409, 500, 503
Stability
v1 stable contract

OpenAPI operation

{
  "operationId": "Jobs_ListBounties",
  "summary": "GET /api/v1/bounties",
  "tags": [
    "Jobs"
  ],
  "parameters": [
    {
      "name": "q",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "maxLength": 200
      }
    },
    {
      "name": "states",
      "in": "query",
      "required": false,
      "style": "form",
      "explode": true,
      "schema": {
        "maxItems": 20,
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "DRAFT",
            "FUNDING_PENDING",
            "FUNDING_OBSERVED",
            "RELAY_PENDING",
            "ESCROW_DEPLOYING",
            "ESCROW_FUNDED",
            "OPEN",
            "CLAIM_SELECTION_PENDING",
            "CLAIMED",
            "IN_PROGRESS",
            "SUBMISSION_PENDING",
            "SUBMITTED",
            "REVIEW",
            "DISPUTE_PENDING",
            "DISPUTED",
            "RELEASE_PENDING",
            "RELEASED",
            "REFUND_PENDING",
            "REFUNDED",
            "EXPIRED",
            "CANCELLED",
            "RETRYABLE_FAILURE",
            "RECONCILING",
            "MANUAL_REVIEW"
          ]
        }
      }
    },
    {
      "name": "networkId",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "format": "uuid",
        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
      }
    },
    {
      "name": "assetId",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "format": "uuid",
        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
      }
    },
    {
      "name": "minRewardUnits",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "maxLength": 78,
        "pattern": "^(?:0|[1-9][0-9]*)$"
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 4096
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "default": 25,
        "type": "integer",
        "minimum": 1,
        "maximum": 100
      }
    }
  ],
  "security": [
    {},
    {
      "apiKeyAuth": []
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "maxItems": 100,
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid",
                      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                    },
                    "slug": {
                      "type": "string",
                      "maxLength": 300
                    },
                    "title": {
                      "type": "string",
                      "maxLength": 300
                    },
                    "description": {
                      "type": "string",
                      "maxLength": 1200
                    },
                    "state": {
                      "type": "string",
                      "enum": [
                        "DRAFT",
                        "FUNDING_PENDING",
                        "FUNDING_OBSERVED",
                        "RELAY_PENDING",
                        "ESCROW_DEPLOYING",
                        "ESCROW_FUNDED",
                        "OPEN",
                        "CLAIM_SELECTION_PENDING",
                        "CLAIMED",
                        "IN_PROGRESS",
                        "SUBMISSION_PENDING",
                        "SUBMITTED",
                        "REVIEW",
                        "DISPUTE_PENDING",
                        "DISPUTED",
                        "RELEASE_PENDING",
                        "RELEASED",
                        "REFUND_PENDING",
                        "REFUNDED",
                        "EXPIRED",
                        "CANCELLED",
                        "RETRYABLE_FAILURE",
                        "RECONCILING",
                        "MANUAL_REVIEW"
                      ]
                    },
                    "reward": {
                      "type": "object",
                      "properties": {
                        "networkId": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        },
                        "network": {
                          "type": "string",
                          "maxLength": 240
                        },
                        "assetId": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        },
                        "symbol": {
                          "anyOf": [
                            {
                              "type": "string",
                              "maxLength": 100
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "decimals": {
                          "anyOf": [
                            {
                              "type": "integer",
                              "minimum": -9007199254740991,
                              "maximum": 9007199254740991
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "units": {
                          "type": "string",
                          "maxLength": 78,
                          "pattern": "^(?:0|[1-9][0-9]*)$"
                        }
                      },
                      "required": [
                        "networkId",
                        "network",
                        "assetId",
                        "symbol",
                        "decimals",
                        "units"
                      ],
                      "additionalProperties": false
                    },
                    "requirements": {
                      "maxItems": 5,
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          "code": {
                            "type": "string",
                            "maxLength": 100
                          }
                        },
                        "required": [
                          "id",
                          "code"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "workDeadline": {
                      "type": "string",
                      "format": "date-time",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                    },
                    "publishedAt": {
                      "type": "string",
                      "format": "date-time",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                    }
                  },
                  "required": [
                    "id",
                    "slug",
                    "title",
                    "description",
                    "state",
                    "reward",
                    "requirements",
                    "workDeadline",
                    "publishedAt"
                  ],
                  "additionalProperties": false
                }
              },
              "page": {
                "type": "object",
                "properties": {
                  "nextCursor": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "nextCursor"
                ],
                "additionalProperties": false
              },
              "facets": {
                "type": "object",
                "properties": {
                  "total": {
                    "type": "string"
                  },
                  "open": {
                    "type": "string"
                  },
                  "funded": {
                    "type": "string"
                  },
                  "disputed": {
                    "type": "string"
                  }
                },
                "required": [
                  "total",
                  "open",
                  "funded",
                  "disputed"
                ],
                "additionalProperties": false
              },
              "freshness": {
                "type": "object",
                "properties": {
                  "projectedAt": {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                  }
                },
                "required": [
                  "projectedAt"
                ],
                "additionalProperties": false
              },
              "meta": {
                "type": "object",
                "additionalProperties": true,
                "required": [
                  "requestId",
                  "schemaVersion",
                  "buildVersion",
                  "generatedAt",
                  "freshness"
                ],
                "properties": {
                  "requestId": {
                    "type": "string",
                    "format": "uuid"
                  },
                  "schemaVersion": {
                    "type": "string"
                  },
                  "buildVersion": {
                    "type": "string"
                  },
                  "generatedAt": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "freshness": {
                    "type": "object",
                    "additionalProperties": false,
                    "required": [
                      "projectedAt",
                      "sourceWatermark"
                    ],
                    "properties": {
                      "projectedAt": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "format": "date-time"
                      },
                      "sourceWatermark": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                }
              }
            },
            "required": [
              "data",
              "page",
              "facets",
              "freshness",
              "meta"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "400": {
      "description": "invalid request",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "401": {
      "description": "unauthenticated",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "403": {
      "description": "forbidden",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "404": {
      "description": "not found",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "409": {
      "description": "conflict",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "500": {
      "description": "internal error",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "503": {
      "description": "dependency unavailable",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    }
  },
  "x-auth-mode": "public",
  "x-cache-policy": "public",
  "x-required-scopes": [
    "public:read"
  ],
  "x-rate-cost": 1,
  "x-stability": "STABLE"
}